
package de.ivu.elect.core.exchange.ergebnis;

import org.jsefa.csv.annotation.CsvDataType;
import org.jsefa.csv.annotation.CsvField;

import de.ivu.jsefa.CsvHeader;

@CsvDataType
public class SitzeCsvDTO {

  @CsvField(pos = 1, required = true)
  @CsvHeader("Gebietsart")
  private String gebietsartName;

  @CsvField(pos = 2, required = true)
  @CsvHeader("Nummer des Gebietes")
  private String gebietNummer;

  @CsvField(pos = 3, required = true)
  @CsvHeader("Gruppenschlüssel")
  private String gruppeSchluessel;

  @CsvField(pos = 4, required = true)
  @CsvHeader("Anzahl Sitze")
  private Long anzahlSitze;

  @CsvField(pos = 5)
  @CsvHeader("Anzahl Anspruch")
  private Long anzahlAnspruch;

  public String getGebietsartName() {
    return gebietsartName;
  }

  public void setGebietsartName(String gebietsartName) {
    this.gebietsartName = gebietsartName;
  }

  public String getGebietNummer() {
    return gebietNummer;
  }

  public void setGebietNummer(String gebietNummer) {
    this.gebietNummer = gebietNummer;
  }

  public String getGruppeSchluessel() {
    return gruppeSchluessel;
  }

  public void setGruppeSchluessel(String gruppeSchluessel) {
    this.gruppeSchluessel = gruppeSchluessel;
  }

  public Long getAnzahlSitze() {
    return anzahlSitze;
  }

  public void setAnzahlSitze(Long anzahlSitze) {
    this.anzahlSitze = anzahlSitze;
  }

  public Long getAnzahlAnspruch() {
    return anzahlAnspruch;
  }

  public void setAnzahlAnspruch(Long anzahlAnspruch) {
    this.anzahlAnspruch = anzahlAnspruch;
  }
}
